<?php
require_once(MH_DIR_CONFIG . 'config_api/classes/apibeez_private.php');

class api_private_doc extends apibeez_private
{

    function __construct()
    {
        parent::__construct();
    }

    function api_private_doc()
    {
        self::__construct();
    }

    function _get()
    {
        $doc = '';
        foreach ($this->extendee->extenders as $api_call_code => $api_call) {

            list(, $entry_point, $module, $method) = explode('_', $api_call_code);

            $doc .= "\n";
            $doc .= "$entry_point/" . $api_call->version . "/$module/$method";
        }
//        echo($doc);
//        mh_exit();

        return array('result' => $doc);
    }

}